Subject: [Pce] Your IESG comments on draft-ietf-pce-pce-initiated-lsp

From: Jonathan Hardwick <[email-masked]>
Date: Wed, 4 Oct 2017 17:19:07 +0000

Hi Alvaro

Many thanks for your comments.  I'm picking up this thread and replying as PCE working group chair, as the authors are unavailable.  I am very sorry for the delay.

For some reason I can't find the original email with your comments in, so I have scraped the text from the datatracker and pasted it below.  Please see my proposed resolutions inline below, marked with "Jon>"

Best regards

Jon

Just some minor comments:

(1) Section 3.2

   This document defines a new PCEP message, the LSP Initiate Request
   (PCInitiate) message, which a PCE can send to a PCE to request the
   initiaton or deletion of an LSP.

s/...PCE can send to a PCE.../...PCE can send to a PCC...

Jon> OK.

(2) Section 5.3: "The source address MAY be either specified or left up to the PCC decision using the 0.0.0.0 value."  These seem to be the only two possible options, so s/MAY/MUST.

Jon> OK.  So, including the feedback we got from Adam Roach, the new text is:

''The source address MUST either be specified or left for the PCC to choose by setting it to "0.0.0.0" (if the destination is an IPv4 address) or "::" (if the destination is an IPv6 address).''

(3) Also from Section 5.3: "...the END-POINTS object MAY be included to explicitly convey the destination...For LSPs to be setup by other means, the END-POINTS object MAY be omitted..."

You already wrote that "other setup methods are outside the scope".  Also, not including the END-POINTS object is not an indication of other types of LSPs, as its use is optional to start with.  Take out the last sentence.

Jon> Fine with me.